AccountControllerUpdateCustomAttributesForAccount Method |
POST /Account/UpdateCustomAttributesForAccount/{id}
Updates the custom attributes for the specified account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("UpdateCustomAttributesForAccount")]
public HttpResponseMessage UpdateCustomAttributesForAccount(
Guid id,
[FromBodyAttribute] IList<CustomAttributeData> customAttributes,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("UpdateCustomAttributesForAccount")>
Public Function UpdateCustomAttributesForAccount (
id As Guid,
<FromBodyAttribute> customAttributes As IList(Of CustomAttributeData),
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"UpdateCustomAttributesForAccount")]
HttpResponseMessage^ UpdateCustomAttributesForAccount(
Guid id,
[FromBodyAttribute] IList<CustomAttributeData^>^ customAttributes,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("UpdateCustomAttributesForAccount")>]
member UpdateCustomAttributesForAccount :
id : Guid *
[<FromBodyAttribute>] customAttributes : IList<CustomAttributeData> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The account ID to be updated. - customAttributes
- Type: System.Collections.GenericIListCustomAttributeData
The list of CustomAttributeData objects to be updated. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessageA
AccountData object containing the account data, or a status code indicating the problem.
See Also